# org.pdfclown.documents.contents.objects.SetDeviceRGBStrokeColor Class Reference

'Set the color to use for stroking operations in device RGB color space' operation [PDF:1.6:4.5.7]. More...

Inheritance diagram for org.pdfclown.documents.contents.objects.SetDeviceRGBStrokeColor:

List of all members.

## Public Member Functions
override void | Scan (ContentScanner.GraphicsState state)
| Applies this object to the specified graphics context, updating the specified graphics state.
| SetDeviceRGBStrokeColor (IList< PdfDirectObject > operands)
| SetDeviceRGBStrokeColor (DeviceRGBColor value)
override string | ToString ()
override void | WriteTo (IOutputStream stream, Document context)
| Serializes this object to the specified stream.
## Static Public Member Functions
static Operation | Get (string operator_, IList< PdfDirectObject > operands)
| Gets an operation.
## Static Public Attributes
static readonly string | ExtendedOperatorKeyword = "SCN"
| 'Set the color to use for stroking operations in any color space' operator.
static readonly new string | OperatorKeyword = "RG"
| 'Set the color to use for stroking operations in a device, CIE-based (other than ICCBased), or Indexed color space' operator.
## Protected Attributes
IList< PdfDirectObject > | operands
string | operator_
## Properties
IList< PdfDirectObject > | Components`[get]`
IList< PdfDirectObject > | Operands`[get]`
string | Operator`[get]`

##

'Set the color to use for stroking operations in device RGB color space' operation [PDF:1.6:4.5.7].

## Constructor & Destructor Documentation

org.pdfclown.documents.contents.objects.SetDeviceRGBStrokeColor.SetDeviceRGBStrokeColor | ( | DeviceRGBColor | value | ) |

org.pdfclown.documents.contents.objects.SetDeviceRGBStrokeColor.SetDeviceRGBStrokeColor | ( | IList< PdfDirectObject > | operands | ) |

## Member Function Documentation

static Operation org.pdfclown.documents.contents.objects.Operation.Get | ( | string | operator_,
|  | IList< PdfDirectObject > | operands |
| ) |  |  | `[static, inherited]`

Gets an operation.

Parameters:

  | operator_ | Operator.
  | operands | List of operands.

override void org.pdfclown.documents.contents.objects.SetDeviceRGBStrokeColor.Scan | ( | ContentScanner.GraphicsState | state | ) | `[virtual]`

Applies this object to the specified graphics context, updating the specified graphics state.

Parameters:

  | state | Graphics state.

Reimplemented from org.pdfclown.documents.contents.objects.SetStrokeColor.

override string org.pdfclown.documents.contents.objects.Operation.ToString | ( |  | ) | `[inherited]`

override void org.pdfclown.documents.contents.objects.Operation.WriteTo | ( | IOutputStream | stream,
|  | Document | context |
| ) |  |  | `[virtual, inherited]`

Serializes this object to the specified stream.

Parameters:

  | stream | Target stream.
  | context | Document context.

Implements org.pdfclown.documents.contents.objects.ContentObject.

Reimplemented in org.pdfclown.documents.contents.objects.InlineImageBody.

References org.pdfclown.objects.PdfObjectWrapper.File, and org.pdfclown.bytes.IOutputStream.Write().

Referenced by org.pdfclown.documents.contents.objects.MarkedContent.WriteTo().

## Member Data Documentation

readonly string org.pdfclown.documents.contents.objects.SetStrokeColor.ExtendedOperatorKeyword = "SCN"`[static, inherited]`

'Set the color to use for stroking operations in any color space' operator.

IList<PdfDirectObject> org.pdfclown.documents.contents.objects.Operation.operands`[protected, inherited]`

string org.pdfclown.documents.contents.objects.Operation.operator_`[protected, inherited]`

readonly new string org.pdfclown.documents.contents.objects.SetDeviceRGBStrokeColor.OperatorKeyword = "RG"`[static]`

'Set the color to use for stroking operations in a device, CIE-based (other than ICCBased), or Indexed color space' operator.

Reimplemented from org.pdfclown.documents.contents.objects.SetStrokeColor.

## Property Documentation

IList<PdfDirectObject> org.pdfclown.documents.contents.objects.SetStrokeColor.Components`[get, inherited]`

IList<PdfDirectObject> org.pdfclown.documents.contents.objects.Operation.Operands`[get, inherited]`

string org.pdfclown.documents.contents.objects.Operation.Operator`[get, inherited]`

Copyright 2006-2013 Stefano Chizzolini. For more information, please visit PDF Clown home page.